<div class="dialog-header">
  <div class="folder-dialog-info">
    <div class="section-title">
      <h2>{{'SHARE_DOCUMENT' | translate}}</h2>
    </div>
  </div>
  <div class="close-icon mt-1 ml-2 text-danger small" (click)="closeDialog()">
    <span class="material-icons cursor-pointer">
      close
    </span>
  </div>
</div>
<div class="d-content">
  <div class="col-md-12 row pl-0" *ngIf="document">
    <div class="col-md-4">
      <p><b>{{'DOCUMENT_NAME' | translate}}:</b> <br> {{document.name}}</p>
    </div>
  </div>
  <div class="col-12 row pl-0" *ngIf="document">
    <div *ngIf="document.description" class="col-12">
      <p><b>{{'DESCRIPTION' | translate}}:</b> <br><span [innerHTML]="document.description"></span></p>
    </div>
  </div>


  <button (click)="addDocumentUserPermission()" class="btn btn-success btn-sm m-bottom-10 m-top-10" type="button">
    <i class="las la-plus"></i>
    {{'ASSIGN_USERS' | translate}}
  </button>
  <button (click)="addDocumentRolePermission()" class="btn btn-success btn-sm m-bottom-10 m-top-10 ml-3" type="button">
    <i class="las la-plus"></i>
    {{'ASSIGN_ROLES' | translate}}
  </button>
  <mat-form-field class="col-md-12">
    <mat-label>{{'FILTER' | translate}}</mat-label>
    <input matInput (keyup)="applyPermissionFilter($event)" placeholder="Ex. Admin" #input1>
  </mat-form-field>
  <table mat-table [dataSource]="permissionsDataSource" class="table">
    <!-- Action Column -->
    <ng-container matColumnDef="action">
      <th style="width:20%" mat-header-cell *matHeaderCellDef>{{'ACTION' | translate}} </th>
      <td style="width:20%" mat-cell *matCellDef="let userPermission">
        <button *ngIf="userPermission.type == 'User'" class="btn btn-danger btn-sm" type="button"
          (click)="deleteDocumentUserPermission(userPermission)"><i class="las la-trash"></i> {{'DELETE'
          |translate}}</button>
        <button *ngIf="userPermission.type == 'Role' && (userPermission.role.id != '02748681-fd6d-456e-be38-312916f2912c' && userPermission.role.id != '2bfc619d-6e13-48ac-869e-3daa59c65115' && userPermission.role.id != '3ad91c85-f648-4abd-adac-426779ccf06b')" class="btn btn-danger btn-sm" type="button"
          (click)="deleteDocumentRolePermission(userPermission)"><i class="las la-trash"></i> {{'DELETE' |
          translate}}</button>
      </td>
    </ng-container>
    <ng-container matColumnDef="isAllowDownload">
      <th mat-header-cell *matHeaderCellDef>{{'ALLOW_DOWNLOAD' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission">
        <ng-container *ngIf="userPermission.isAllowDownload">
          {{'YES' | translate}}
        </ng-container>
        <ng-container *ngIf="!userPermission.isAllowDownload">
          {{'NO' | translate}}
        </ng-container>
      </td>
    </ng-container>
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef>{{'TYPE' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission"> {{userPermission.type}}
      </td>
    </ng-container>
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> {{'USER_ROLE_NAME' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission">
        <span *ngIf="userPermission.type == 'User'"> {{userPermission.user.firstName}}
          {{userPermission.user.lastName}}
        </span>
        <span *ngIf="userPermission.type == 'Role'">
          {{userPermission.role.name}}
        </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef> {{'EMAIL' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission">
        <span *ngIf="userPermission.type == 'User'">
          {{userPermission.user.email}}
        </span>
        <span *ngIf="userPermission.type == 'Role'">
          --
        </span>
      </td>
    </ng-container>
    <!-- <ng-container matColumnDef="startDate">
      <th mat-header-cell *matHeaderCellDef> {{'START_DATE' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission">
        <ng-container *ngIf="userPermission.isTimeBound">
          {{userPermission.startDate | date: 'dd/MM/yyyy'}}
        </ng-container>
        <ng-container *ngIf="!userPermission.isTimeBound">
          --
        </ng-container>
      </td>
    </ng-container>
    <ng-container matColumnDef="endDate">
      <th mat-header-cell *matHeaderCellDef> {{'END_DATE' | translate}} </th>
      <td mat-cell *matCellDef="let userPermission">
        <ng-container *ngIf="userPermission.isTimeBound">
          {{userPermission.endDate | date: 'dd/MM/yyyy'}}
        </ng-container>
        <ng-container *ngIf="!userPermission.isTimeBound">
          --
        </ng-container>
      </td>
    </ng-container> -->
    <tr mat-header-row *matHeaderRowDef="documentPermissionsColumns;sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: documentPermissionsColumns;"></tr>
  </table>
  <mat-paginator #userPermissionsPaginator [pageSizeOptions]="[10, 20,50,100]"></mat-paginator>
</div>
